public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tobias Klausmann" <klausman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/prosody/
Date: Mon, 26 Nov 2018 13:28:42 +0000 (UTC)	[thread overview]
Message-ID: <1543238888.4cad03ab03838aa4b56102be635f114da3523bba.klausman@gentoo> (raw)

commit:     4cad03ab03838aa4b56102be635f114da3523bba
Author:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 13:28:08 2018 +0000
Commit:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Mon Nov 26 13:28:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cad03ab

net-im/prosody: Add v0.11 and bump to EAPI=7

Bug: https://bugs.gentoo.org/671750
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Tobias Klausmann <klausman <AT> gentoo.org>

 net-im/prosody/Manifest              |  1 +
 net-im/prosody/prosody-0.11.0.ebuild | 85 ++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index af0978c715d..21822501c77 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1,2 +1,3 @@
 DIST prosody-0.10.2.tar.gz 331874 BLAKE2B 0e0af95a9168810263e6f60b825393d1088f69dba1faabf6c0c9dda3ef6b039a92f7edb9643cb9a60a3131a64038de5c3598f7076837b58ad196ac03fa98bfc4 SHA512 9fc05e34b45b0c16835ba94a73532fb3b4ee335f27d56bb9260e1b3e22614f89f44eb5d04b4e90d016db0b5bee6f5c7e7d099e1defb027e6823ee7667c1fe28f
+DIST prosody-0.11.0.tar.gz 418710 BLAKE2B 2a9af1edbd77d3ef8f629ed5855a6638929bd0476d5245c0ef3ec6e2d840fda3a8b733bcfe35b7603057caa23576e0ec344d244d0c1678e28aa41badb75b6170 SHA512 292f555a25108716cd3ceb8ab39210bcb7f2fd113bd844092a51f68127e59b64ec76045740fd93edca8be2c1711a5fbab0f51a285f3ab78d36423a897ea667bf
 DIST prosody-0.9.14.tar.gz 268253 BLAKE2B 0ae62ca3c8eb89feb34f1f67aa3d14aa1e6bf02cf10ff90a43fd7de8bd257d70508e36b10b3f159040c1fa5dcfb6ad8018e3411a5d6042992f71f643a13c11d4 SHA512 30116ebc20c719d88bae7f2f44c129604ec4477004581c3556ff548c75ee026a83dc519701a61a8c3f547776ba74c571e38c3e1e5240da9148dad35a5d1f67e3

diff --git a/net-im/prosody/prosody-0.11.0.ebuild b/net-im/prosody/prosody-0.11.0.ebuild
new file mode 100644
index 00000000000..7ccfe253a71
--- /dev/null
+++ b/net-im/prosody/prosody-0.11.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib systemd
+
+MY_PV=$(ver_rs 3 '')
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
+HOMEPAGE="http://prosody.im/"
+SRC_URI="http://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit libressl"
+
+DEPEND="net-im/jabber-base
+		dev-lua/LuaBitOp
+		!jit? ( >=dev-lang/lua-5.1:0 )
+		jit? ( dev-lang/luajit:2 )
+		>=net-dns/libidn-1.1
+		!libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl:= )"
+RDEPEND="${DEPEND}
+		>=dev-lua/luaexpat-1.3.0
+		dev-lua/luafilesystem
+		ipv6? ( >=dev-lua/luasocket-3 )
+		!ipv6? ( dev-lua/luasocket )
+		libevent? ( >=dev-lua/luaevent-0.4.3 )
+		mysql? ( dev-lua/luadbi[mysql] )
+		postgres? ( dev-lua/luadbi[postgres] )
+		sqlite? ( dev-lua/luadbi[sqlite] )
+		ssl? ( dev-lua/luasec )
+		zlib? ( dev-lua/lua-zlib )"
+
+S=${WORKDIR}/${MY_P}
+
+JABBER_ETC="/etc/jabber"
+JABBER_SPOOL="/var/spool/jabber"
+
+src_prepare() {
+	default
+	rm makefile && mv GNUmakefile Makefile || die
+	sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+		-e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+		-e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
+		-e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
+		Makefile || die
+}
+
+src_configure() {
+	# the configure script is handcrafted (and yells at unknown options)
+	# hence do not use 'econf'
+	append-cflags -D_GNU_SOURCE
+	luajit=""
+	if use jit; then
+		luajit="--runwith=luajit"
+	fi
+	./configure \
+		--ostype=linux $luajit \
+		--prefix="${EPREFIX}/usr" \
+		--libdir="${EPREFIX}/usr/lib64" \
+		--sysconfdir="${JABBER_ETC}" \
+		--datadir="${JABBER_SPOOL}" \
+		--with-lua-include=/usr/include \
+		--with-lua-lib=/usr/$(get_libdir)/lua \
+		--cflags="${CFLAGS} -Wall -fPIC" \
+		--ldflags="${LDFLAGS} -shared" \
+		--c-compiler="$(tc-getCC)" \
+		--linker="$(tc-getCC)" || die "configure failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	systemd_dounit "${FILESDIR}/${PN}".service
+	systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
+	newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
+	keepdir /var/spool/jabber
+}
+
+pkg_postinst() {
+	elog "If you are using the MySQL backend, you need to update its schema:"
+	elog "https://prosody.im/doc/release/0.11.0#upgrade_notes"
+}


             reply	other threads:[~2018-11-26 13:28 UTC|newest]

Thread overview: 106+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-26 13:28 Tobias Klausmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-10 23:35 [gentoo-commits] repo/gentoo:master commit in: net-im/prosody/ Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-09-08 15:48 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-02-21 20:03 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2022-12-14  9:39 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-06-10 18:56 Conrad Kostecki
2022-04-17 14:44 Conrad Kostecki
2022-04-17 14:44 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-01-24 16:48 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2021-12-21  0:40 Conrad Kostecki
2021-08-26 21:09 Conrad Kostecki
2021-08-26 21:03 Sam James
2021-08-25  4:23 Agostino Sarubbo
2021-08-11  0:04 Sam James
2021-08-09  6:40 Agostino Sarubbo
2021-08-07 22:49 Conrad Kostecki
2021-05-16  0:57 Conrad Kostecki
2021-05-16  0:03 Sam James
2021-05-14 17:22 Sam James
2021-05-14  9:36 Agostino Sarubbo
2021-05-14  9:30 Agostino Sarubbo
2021-05-13 23:28 Conrad Kostecki
2021-05-02 19:40 Mikle Kolyada
2021-03-01 19:17 Sam James
2021-03-01 19:17 Sam James
2021-03-01  9:20 Agostino Sarubbo
2021-02-25 13:54 Agostino Sarubbo
2021-02-15 20:58 Conrad Kostecki
2021-01-27 20:09 Conrad Kostecki
2021-01-23 22:51 Sam James
2021-01-23 22:51 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2021-01-04  0:25 Conrad Kostecki
2020-12-25 13:06 Conrad Kostecki
2020-12-14 17:59 Conrad Kostecki
2020-12-13 19:39 Conrad Kostecki
2020-12-05 20:55 Conrad Kostecki
2020-11-26 11:29 Sam James
2020-11-26  8:26 Sam James
2020-11-25 10:28 Thomas Deutschmann
2020-10-12 11:37 Conrad Kostecki
2020-10-03 18:35 Conrad Kostecki
2020-10-03 14:45 Conrad Kostecki
2020-10-03 13:43 Conrad Kostecki
2020-10-03 13:43 Conrad Kostecki
2020-09-09  9:42 Tobias Klausmann
2020-05-05 14:40 Tobias Klausmann
2020-05-04 15:28 Agostino Sarubbo
2020-05-04 15:15 Agostino Sarubbo
2020-05-04 14:38 Agostino Sarubbo
2020-04-19  8:58 Tobias Klausmann
2020-04-11  5:33 Jason A. Donenfeld
2020-01-09 18:41 Rafael Martins
2019-11-01 14:38 Tobias Klausmann
2019-07-29  8:48 Mikle Kolyada
2019-05-19 20:53 Mikle Kolyada
2019-05-13  1:41 Thomas Deutschmann
2019-02-17 22:35 Thomas Deutschmann
2019-02-16 17:16 Tobias Klausmann
2019-01-17 14:19 Tobias Klausmann
2018-12-29 19:12 Thomas Deutschmann
2018-12-29 12:10 Mikle Kolyada
2018-12-26 14:38 Tobias Klausmann
2018-12-26 14:15 Tobias Klausmann
2018-12-02 17:11 Tobias Klausmann
2018-12-02 17:06 Tobias Klausmann
2018-06-11 18:04 Tobias Klausmann
2018-06-11 17:58 Markus Meier
2018-06-02 17:36 Agostino Sarubbo
2018-06-01 13:01 Tobias Klausmann
2018-04-23 21:43 Mikle Kolyada
2017-10-29 22:08 Thomas Deutschmann
2017-10-29 11:17 Manuel Rüger
2017-10-09 13:44 Tobias Klausmann
2017-01-13 15:18 Tobias Klausmann
2017-01-02 19:35 Markus Meier
2016-12-26 18:41 Tobias Klausmann
2016-12-05  8:35 Tobias Klausmann
2016-11-05 14:41 Tobias Klausmann
2016-11-05 14:36 Tobias Klausmann
2016-06-28 12:02 Tobias Klausmann
2016-06-27  8:48 Agostino Sarubbo
2016-06-04  5:04 Markus Meier
2016-05-30 12:35 Tobias Klausmann
2016-01-28  8:35 Tobias Klausmann
2016-01-17 11:29 Markus Meier
2016-01-15 13:22 Andreas Schuerch
2016-01-13 17:18 Tobias Klausmann
2016-01-09 18:21 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1543238888.4cad03ab03838aa4b56102be635f114da3523bba.klausman@gentoo \
    --to=klausman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox